> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/flow-document-collections.md).

# Flow Document Collections

## List a group's document collections.

> Returns a skip/take paged list of the document collections in a flow group, with the total count.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowDocuments.Application.Queries.GetFlowDocumentCollectionsByGroup.GetFlowDocumentCollectionsByGroupResponse":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"skip":{"type":"integer","format":"int32"},"take":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"hasActiveAssignment":{"type":"boolean"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections":{"get":{"tags":["Flow Document Collections"],"summary":"List a group's document collections.","description":"Returns a skip/take paged list of the document collections in a flow group, with the total count.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"skip","in":"query","schema":{"type":"integer","format":"int32","default":0}},{"name":"take","in":"query","schema":{"type":"integer","format":"int32","default":50}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Application.Queries.GetFlowDocumentCollectionsByGroup.GetFlowDocumentCollectionsByGroupResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Application.Queries.GetFlowDocumentCollectionsByGroup.GetFlowDocumentCollectionsByGroupResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Application.Queries.GetFlowDocumentCollectionsByGroup.GetFlowDocumentCollectionsByGroupResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create a flow document collection.

> Creates a document collection in a flow group and attaches any supplied documents, queuing them for extraction.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentRequest":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest":{"type":"object","properties":{"documentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"hasActiveAssignment":{"type":"boolean"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections":{"post":{"tags":["Flow Document Collections"],"summary":"Create a flow document collection.","description":"Creates a document collection in a flow group and attaches any supplied documents, queuing them for extraction.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Bulk-create flow document collections.

> Creates a collection for each supplied document in the flow group in a single request.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.CreateReviewDocumentsRequest":{"type":"object","properties":{"documentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/bulk":{"post":{"tags":["Flow Document Collections"],"summary":"Bulk-create flow document collections.","description":"Creates a collection for each supplied document in the flow group in a single request.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateReviewDocumentsRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateReviewDocumentsRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateReviewDocumentsRequest"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a flow document collection.

> Returns the full detail of a single document collection identified by its GUID.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"hasActiveAssignment":{"type":"boolean"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{objectIdentifier}":{"get":{"tags":["Flow Document Collections"],"summary":"Get a flow document collection.","description":"Returns the full detail of a single document collection identified by its GUID.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete a flow document collection.

> Deletes a document collection unless a flow run is currently in progress for it.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{objectIdentifier}":{"delete":{"tags":["Flow Document Collections"],"summary":"Delete a flow document collection.","description":"Deletes a document collection unless a flow run is currently in progress for it.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Search flow document collections.

> Returns a paginated, filtered and sorted list of document collections within a flow group.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.SearchFlowDocumentsRequest":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterItem"},"nullable":true},"logicOperator":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.FilterLogicOperator"},"columnFilters":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true},"tagFilters":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.TagFilterItem"},"nullable":true},"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"searchText":{"type":"string","nullable":true},"sortBy":{"type":"string","nullable":true},"sortAsc":{"type":"boolean","nullable":true},"documentObjectIdentifiersToSearch":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"promptObjectIdentifiersToInclude":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"assignedToResourceOwnerIds":{"type":"array","items":{"type":"string"},"nullable":true},"reviewedByResourceOwnerIds":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterItem":{"type":"object","properties":{"promptObjectIdentifier":{"type":"string","format":"uuid"},"operator":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterOperator"},"value":{"type":"string","nullable":true},"values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterOperator":{"enum":["is","not","equals","notEquals","contains","doesNotContain","startsWith","endsWith","isAnyOf","isEmpty","isNotEmpty","after","onOrAfter","before","onOrBefore","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.FilterLogicOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.TagFilterItem":{"type":"object","properties":{"key":{"type":"string","nullable":true},"values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.SearchFlowDocumentCollectionsResponse":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionRowResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionRowResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.DocumentRowResponse"},"nullable":true},"promptAnswers":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionPromptAnswerResponse"},"nullable":true},"approvedCount":{"type":"integer","format":"int32"},"rejectedCount":{"type":"integer","format":"int32"},"awaitVerificationCount":{"type":"integer","format":"int32"},"hasActiveAssignment":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.DocumentRowResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"tokenCount":{"type":"integer","format":"int32","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"convertedToPdf":{"type":"boolean"},"flowDocumentObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionPromptAnswerResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Organization.OrganizationMemberResult"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Organization.OrganizationMemberResult"},"failedToAnswer":{"type":"boolean"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionPromptAnswerCategoryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Organization.OrganizationMemberResult":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionPromptAnswerCategoryResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptCategoryObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/search":{"post":{"tags":["Flow Document Collections"],"summary":"Search flow document collections.","description":"Returns a paginated, filtered and sorted list of document collections within a flow group.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SearchFlowDocumentsRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SearchFlowDocumentsRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SearchFlowDocumentsRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.SearchFlowDocumentCollectionsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.SearchFlowDocumentCollectionsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.SearchFlowDocumentCollectionsResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Locate a collection's page and row.

> Finds the page and row index of a prompt answer within the given search, filter and sort context.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.LocateFlowDocumentCollectionRequest":{"type":"object","properties":{"promptAnswerObjectIdentifier":{"type":"string","format":"uuid"},"pageSize":{"type":"integer","format":"int32"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterItem"},"nullable":true},"logicOperator":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.FilterLogicOperator"},"columnFilters":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true},"tagFilters":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.TagFilterItem"},"nullable":true},"searchText":{"type":"string","nullable":true},"sortBy":{"type":"string","nullable":true},"sortAsc":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterItem":{"type":"object","properties":{"promptObjectIdentifier":{"type":"string","format":"uuid"},"operator":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterOperator"},"value":{"type":"string","nullable":true},"values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.PromptFilterOperator":{"enum":["is","not","equals","notEquals","contains","doesNotContain","startsWith","endsWith","isAnyOf","isEmpty","isNotEmpty","after","onOrAfter","before","onOrBefore","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.FilterLogicOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.FlowDocuments.TagFilterItem":{"type":"object","properties":{"key":{"type":"string","nullable":true},"values":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.LocateFlowDocumentCollectionResponse":{"type":"object","properties":{"found":{"type":"boolean"},"page":{"type":"integer","format":"int32","nullable":true},"rowIndex":{"type":"integer","format":"int32","nullable":true},"reason":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/locate":{"post":{"tags":["Flow Document Collections"],"summary":"Locate a collection's page and row.","description":"Finds the page and row index of a prompt answer within the given search, filter and sort context.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.LocateFlowDocumentCollectionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.LocateFlowDocumentCollectionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.LocateFlowDocumentCollectionRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.LocateFlowDocumentCollectionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.LocateFlowDocumentCollectionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.LocateFlowDocumentCollectionResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Count a group's document collections.

> Returns the total number of document collections in the specified flow group.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/count":{"get":{"tags":["Flow Document Collections"],"summary":"Count a group's document collections.","description":"Returns the total number of document collections in the specified flow group.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32"}},"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Add documents to a collection.

> Attaches additional documents to an existing collection and queues them for extraction.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest":{"type":"object","properties":{"documentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocumentCollectionAssignments.Application.Commands.CreateFlowDocumentCollectionAssignment.CreateFlowDocumentCollectionAssignmentResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"flowDocumentCollectionObjectIdentifier":{"type":"string","format":"uuid"},"documentsAssigned":{"type":"integer","format":"int32"},"createdAtUtc":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{collectionObjectIdentifier}/assignments":{"post":{"tags":["Flow Document Collections"],"summary":"Add documents to a collection.","description":"Attaches additional documents to an existing collection and queues them for extraction.","parameters":[{"name":"collectionObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.CreateFlowDocumentCollectionAssignmentRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocumentCollectionAssignments.Application.Commands.CreateFlowDocumentCollectionAssignment.CreateFlowDocumentCollectionAssignmentResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocumentCollectionAssignments.Application.Commands.CreateFlowDocumentCollectionAssignment.CreateFlowDocumentCollectionAssignmentResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocumentCollectionAssignments.Application.Commands.CreateFlowDocumentCollectionAssignment.CreateFlowDocumentCollectionAssignmentResult"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List a collection's tags.

> Returns the manual key/value tags applied to a document collection.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{collectionObjectIdentifier}/tags":{"get":{"tags":["Flow Document Collections"],"summary":"List a collection's tags.","description":"Returns the manual key/value tags applied to a document collection.","parameters":[{"name":"collectionObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Set a collection tag.

> Adds or updates a manual key/value tag on a document collection.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowDocuments.SetFlowDocumentCollectionTagRequest":{"required":["key","value"],"type":"object","properties":{"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{collectionObjectIdentifier}/tags":{"put":{"tags":["Flow Document Collections"],"summary":"Set a collection tag.","description":"Adds or updates a manual key/value tag on a document collection.","parameters":[{"name":"collectionObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SetFlowDocumentCollectionTagRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SetFlowDocumentCollectionTagRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowDocuments.SetFlowDocumentCollectionTagRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List the flow's tag vocabulary.

> Returns every distinct key/value tag used across the owning flow's collections.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/tags":{"get":{"tags":["Flow Document Collections"],"summary":"List the flow's tag vocabulary.","description":"Returns every distinct key/value tag used across the owning flow's collections.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowDocuments.Contracts.Responses.FlowDocumentCollectionTagResponse"}}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Remove a collection tag.

> Removes a manual key/value tag from a document collection.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/flow-document-collections/{collectionObjectIdentifier}/tags/{tagObjectIdentifier}":{"delete":{"tags":["Flow Document Collections"],"summary":"Remove a collection tag.","description":"Removes a manual key/value tag from a document collection.","parameters":[{"name":"collectionObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tagObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/projects/flow-document-collections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
